Download it now!
Bug 118526 - CRASH: Notebookbar crashes in read mode
Summary: CRASH: Notebookbar crashes in read mode
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.5
Keywords: haveBacktrace
Depends on:
Blocks: Notebookbar
  Show dependency treegraph
 
Reported: 2018-07-03 13:44 UTC by Xisco Faulí
Modified: 2020-03-30 02:15 UTC (History)
9 users (show)

See Also:
Crash report or crash signature: ["SfxViewFrame::GetFrame()"]


Attachments
gdb backtrace (22.90 KB, text/x-log)
2018-07-03 14:06 UTC, Xisco Faulí
Details
screencast (1.37 MB, video/mp4)
2018-12-10 09:55 UTC, Xisco Faulí
Details
bt with debug symbols (6.45 KB, text/plain)
2019-05-24 21:32 UTC, Julien Nabet
Details
git backport to 6.3 (1.30 KB, text/plain)
2019-11-12 06:59 UTC, Jim Raykowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-07-03 13:44:12 UTC
Steps to reproduce:
1. Change the notebookbar to tabbed or groupped
2. Open any document previously saved
3. Do a modification ( e.g. type some text )
4. deselect Edit - Edit mode -> Save the document
5. Click on any icon on the notebookbar ( e.g. insert image, alignment )

-> Crash

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 5fce97a58b8f764e35bf98128591c9a89537da05
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 1 Xisco Faulí 2018-07-03 13:59:03 UTC
Also reproducible in

Version: 6.1.0.0.alpha0+
Build ID: e075ee967d0c030a22b7699ee54b5cbd49c07c17
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 2 Xisco Faulí 2018-07-03 14:00:33 UTC
Compared to the standard toolbar, the icons should be disabled after moving to Read only mode...
Comment 3 Xisco Faulí 2018-07-03 14:06:59 UTC
Created attachment 143294 [details]
gdb backtrace
Comment 4 Roman Kuznetsov 2018-07-03 17:24:13 UTC
confirm in 

Version: 6.1.0.0.beta2+ (x64)
Build ID: fe1a23b5c49c94410a604c8d4a6f50f43d575403
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:libreoffice-6-1, Time: 2018-06-17_06:31:41
Locale: ru-RU (ru_RU); Calc: CL
Comment 5 Xisco Faulí 2018-07-03 21:42:15 UTC
@Maxim, I thought you could be interested in this issue...
Comment 6 andreas_k 2018-12-08 23:26:27 UTC
Please check again on windows with 6.2 daily build I didn't get an crash. But I will add the edit mode uno command to tabbedbar cause I didn't had it there.
Comment 7 Xisco Faulí 2018-12-10 09:53:32 UTC
Still reproducible in

Version: 6.3.0.0.alpha0+
Build ID: fcc76610649a9830859f9e2efe2a06dbc6db74da
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 8 Xisco Faulí 2018-12-10 09:54:43 UTC
and 

Version: 6.2.0.0.beta1+
Build ID: 01fea181faf92a3498370460d3db2254da11c3e2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 9 Xisco Faulí 2018-12-10 09:55:48 UTC
Created attachment 147410 [details]
screencast
Comment 10 Xisco Faulí 2018-12-24 14:04:03 UTC
Still reproducible in

Versión: 6.2.0.1
Id. de compilación: 0412ee99e862f384c1106d0841a950c4cfaa9df1
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded
Comment 11 Xisco Faulí 2018-12-24 14:43:36 UTC
Caolán, I thought you might be interested in this issue...
Comment 12 Julien Nabet 2019-05-24 21:32:56 UTC
Created attachment 151667 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 13 Oliver Brinzing 2019-11-09 16:55:08 UTC
still reproducible with:

Version: 6.3.3.2 (x64)
Build-ID: a64200df03143b798afd1ec74a12ab50359878ed
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc:
Comment 14 Jim Raykowski 2019-11-10 01:16:02 UTC
Here's a patch that reloads the notebook bar when read mode changes:
https://gerrit.libreoffice.org/#/c/82371/

This bug also can be repro'd in Calc. Patch works for it as well.
Comment 15 Commit Notification 2019-11-11 10:07:00 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4ae5fe896e96d082e21788ae6d42a67133567ba7

tdf#118526 Reload Notebookbar if read mode has switched

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Xisco Faulí 2019-11-11 10:19:24 UTC
I tried to backport it to libreoffice-6-3, unfortunately it depends on 6b888ac476fe6ac2ee96c7086cb8c24249f08473 which also has conflicts while backporting.
Should we just live with the crash in LibreOffice 6.3 ? No one else reported this issue, which might mean it's a corner case difficult to hit
@Jim, what do you think ?
Comment 17 Jim Raykowski 2019-11-12 06:59:46 UTC
Created attachment 155722 [details]
git backport to 6.3

gitpackport.txt contains steps I used to backport this successfully to a local branch off libreoffice-6-3. 

The error you received when cherry-picking 6b888ac476fe6ac2ee96c7086cb8c24249f08473 was probably 
* Unmerged path cui/source/customize/SvxNotebookbarConfigPage.cxx

This file wasn't in 6.3 and isn't required for the crash fix patch or by any changes made to existing files by 6b888ac476fe6ac2ee96c7086cb8c24249f08473.
Comment 18 Xisco Faulí 2019-11-12 09:33:52 UTC
(In reply to Jim Raykowski from comment #17)
> Created attachment 155722 [details]
> git backport to 6.3
> 
> gitpackport.txt contains steps I used to backport this successfully to a
> local branch off libreoffice-6-3. 
> 
> The error you received when cherry-picking
> 6b888ac476fe6ac2ee96c7086cb8c24249f08473 was probably 
> * Unmerged path cui/source/customize/SvxNotebookbarConfigPage.cxx
> 
> This file wasn't in 6.3 and isn't required for the crash fix patch or by any
> changes made to existing files by 6b888ac476fe6ac2ee96c7086cb8c24249f08473.

Could you submit the commit to libreoffice-6-3 ?
Comment 19 Jim Raykowski 2019-11-14 19:50:45 UTC
I have submitted the backport for 6b888ac476fe6ac2ee96c7086cb8c24249f08473

https://gerrit.libreoffice.org/#/c/82737/

Once it is merged the backport for this bug work.
Comment 20 Jim Raykowski 2019-11-27 07:31:45 UTC
@Xisco, backport to 6.3 should work now that https://gerrit.libreoffice.org/#/c/82737/ has been merged.
Comment 21 Xisco Faulí 2019-11-27 10:04:14 UTC
(In reply to Jim Raykowski from comment #20)
> @Xisco, backport to 6.3 should work now that
> https://gerrit.libreoffice.org/#/c/82737/ has been merged.

Thanks a lot. Done in https://gerrit.libreoffice.org/#/c/83878/
Comment 22 Commit Notification 2019-11-27 11:55:36 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/69310348a6d65a49b406ec5ac2062ad5659bfcf4

tdf#118526 Reload Notebookbar if read mode has switched

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Xisco Faulí 2019-11-28 12:45:59 UTC
Verified in

Version: 6.3.5.0.0+
Build ID: b4708c1c2b4acb171952ebead751792037161680
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

I think we can close this issue as VERIFIED FIXED
Comment 24 Commit Notification 2020-01-27 17:39:15 UTC
Xisco Faulí committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/2b73347194dde360d9e4be4526657efb511e72ef

Revert "tdf#118526 Reload Notebookbar if read mode has switched"

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.